# Plugin engine settings.
Plugin:
  # Command names that will be registered as main plugin commands.
  # Do not leave this empty. Split multiple names with a comma.
  Command_Aliases: excellentenchants,eenchants
  # Sets the plugin language.
  # Basically it tells the plugin to use certain messages config from the '/lang/' sub-folder.
  # If specified language is not available, default one (English) will be used instead.
  # [Default is System Locale]
  Language: en
  # Localized plugin name. It's used in messages and with internal placeholders.
  Name: ExcellentEnchants
  # Plugin prefix. Used in messages.
  Prefix: '&e%plugin_name% &8» &7'

# General plugin settings.
General:
  # Settings for the plugin tasks.
  Tasks:
    Arrow_Trails:
      # Defines the ticks interval (20 ticks = 1 second) for the arrow particle effect spawning.
      Ticks_Interval: 1
    Passive_Enchants:
      # Defines the ticks interval (20 ticks = 1 second) for the passive enchantment effects to trigger.
      Ticks_Interval: 100
  # Enchantment global settings.
  Enchantments:
    # List of disabled custom enchantments.
    # Use enchantment file names from the 'enchants' folder without the file extension.
    # For example, to disable 'Explosive Arrows' enchantment you have to add 'explosive_arrows' to this list.
    Disabled:
    - enchant_name
    - other_enchant
    # Here you can disable certain enchantments in certain worlds.
    Disabled_In_Worlds:
      # This is your world name with a list of disabled enchantments.
      # Enchantment names are the same as in the option above.
      # To disable all enchantments, use '*'.
      my_world:
      - '*'
      other_world:
      - enchant_name
      - another_enchant
    # Item settings.
    Item:
      # How many of custom enchantments the item can contain at the same time?
      Max_Custom_Enchants: 3
      # Set this to 'true' to make Sword enchantments apply on Axes.
      Axes_As_Swords: true
      # Set this to 'true' to make Bow enchantments apply on Crossbows.
      Crossbows_As_Bows: true
      # Set this to 'true' to make Chestplate enchantments apply on Elytras.
      Elytra_As_Chestplate: true
    # Non-player entity settings.
    Entity:
      # When enabled, enchantments with a passive effects (potion effects, regeneration, etc.)
      # will be applied to mobs as well (if they are wearing items with such enchantments).
      # Enabling this feature may cause performance issues.
      Passive_Enchants_Applied_To_Mobs: false
    # Enchantment description settings.
    Description:
      # When enabled, each custom enchantment will add a description in item lore.
      Enabled: true
      # Description format for the item lore.
      # Placeholders:
      # - %description% - Enchantment description.
      Format: '&8▸ %description%'
  # Settings to obtain enchants via Enchanting Table.
  Enchanting_Table:
    # Enable/Disable this way to obtain custom enchantments.
    Enabled: true
    Enchantments:
      # Max. amount of all (including vanilla) enchantments on the item, when no more enchantments will be added.
      Total_Maximum: 4
      # Chance that a custom enchantment will be added.
      Custom_Generation_Chance: 90.0
      # Min. amount of custom enchantments to be added.
      Custom_Minimum: 0
      # Max. amount of custom enchantments to be added.
      Custom_Maximum: 2
  # Settings to obtain enchantments via Villager Trades.
  Villagers:
    Enabled: true
    Enchantments:
      Total_Maximum: 4
      Custom_Generation_Chance: 70.0
      Custom_Minimum: 0
      Custom_Maximum: 2
  # Settings to obtain enchantments via Loot Chests in dungeons and other world's structures.
  Loot_Generation:
    Enabled: true
    Enchantments:
      Total_Maximum: 4
      Custom_Generation_Chance: 80.0
      Custom_Minimum: 0
      Custom_Maximum: 2
  # Settings to obtain enchantments via Fishing.
  Fishing:
    Enabled: true
    Enchantments:
      Total_Maximum: 4
      Custom_Generation_Chance: 70.0
      Custom_Minimum: 0
      Custom_Maximum: 2
  # Settings to generate enchantments on mob equipment on spawn.
  Mob_Spawning:
    Enabled: true
    Enchantments:
      Total_Maximum: 4
      Custom_Generation_Chance: 70.0
      Custom_Minimum: 0
      Custom_Maximum: 2

# Enchantment tiers.
# You can create as many tiers as you want.
Tiers:
  # Tier identifier. Must be unique.
  common:
    # Tier display name.
    Name: '&fCommon'
    # Tier color.
    Color: '&f'
    # Tier obtain chances.
    Obtain_Chance:
      ENCHANTING: 80.0
      VILLAGER: 80.0
      LOOT_GENERATION: 80.0
      FISHING: 80.0
      MOB_SPAWNING: 80.0
  rare:
    Name: '&aRare'
    Color: '&a'
    Obtain_Chance:
      ENCHANTING: 50.0
      VILLAGER: 50.0
      LOOT_GENERATION: 50.0
      FISHING: 50.0
      MOB_SPAWNING: 50.0
  exotic:
    Name: '&eExotic'
    Color: '&e'
    Obtain_Chance:
      ENCHANTING: 25.0
      VILLAGER: 25.0
      LOOT_GENERATION: 25.0
      FISHING: 25.0
      MOB_SPAWNING: 25.0
  legendary:
    Name: '&6Legendary'
    Color: '&6'
    Obtain_Chance:
      ENCHANTING: 10.0
      VILLAGER: 10.0
      LOOT_GENERATION: 10.0
      FISHING: 10.0
      MOB_SPAWNING: 10.0
  cursed:
    Name: '&cCursed'
    Color: '&c'
    Obtain_Chance:
      ENCHANTING: 7.0
      VILLAGER: 5.0
      LOOT_GENERATION: 7.0
      FISHING: 12.0
      MOB_SPAWNING: 0.0
Tasks:
  Arrow_Trail:
    # Sets how often (in ticks) arrow trail particle effects will be spawned behind the arrow.
    Tick_Interval: 1
  Passive_Enchants:
    # Sets how often (in ticks) the plugin will attempt to trigger passive enchantment effects on all alive entities.
    # For best results it's recommened to keep this value smaller, but at the same rate as enchantment 'Trigger_Interval' settings.
    # Examples:
    # --- Global: 100 ticks; Regrowth: 100 ticks; Saturation: 100 ticks;
    # --- Global: 50 ticks, Regrowth: 100 ticks; Saturation: 150 ticks;
    Trigger_Interval: 100
Enchantments:
  Charges:
    # Enables Enchantment Charges feature.
    # When enabled in the first time, make sure to check enchantments configs for new 'Charges' section.
    # https://nightexpress.gitbook.io/excellentenchants/features/charges
    Enabled: false
    # Enchantment charges format depends on amount of charges left (in percent).
    # If you don't want to display charges, leave only keys with negative values.
    # Use '%amount%' placeholder for charges amount.
    Format:
      '0': '#ff9a9a(%amount%⚡)'
      '25': '#ffc39a(%amount%⚡)'
      '50': '#f6ff9a(%amount%⚡)'
      '75': '#bcff9a(%amount%⚡)'
    # When enabled, only item material will be checked to determine if an item can be used as an enchantment fuel.
    # When disabled, it will compare the whole item meta including name, lore, model data etc.
    # [Default is false]
    Compare_Material_Only: false
    # Default item used to recharge item's enchantments on anvils.
    # If you want different item for certain enchantments, you can do it in that enchantment configs.
    # Item Options: https://github.com/nulli0n/nightcore-spigot/wiki/ItemStack-Options
    Fuel_Item:
      Material: LAPIS_LAZULI
  Disabled:
    # Put here CUSTOM enchantment names that you want to disable and remove completely.
    # Enchantment names are equal to their config file names in '/enchants/' folder.
    # [*] You MUST REBOOT your server for disabled enchantments to have effect.
    # [*] Once enchantment is disabled, it will be removed from all items in the world on next load!
    List:
    - custom_sharpness
    - example_name
    # Put here CUSTOM enchantment names that you want to disable in specific worlds.
    # To disable all enchantments for a world, use '*' instead of enchantment names.
    # Enchantment names are equal to their config file names in '/enchants/' folder.
    # =============== Vanilla Distribution Mode ===============
    # Enchantments will have no effect, but will appear in the world.
    # =============== Custom Distribution Mode ===============
    # Enchantments will have no effect and won't appear in the world.
    ByWorld:
      your_world_name:
      - ice_aspect
      - enchantment_name
      another_world:
      - ice_aspect
      - another_enchantment
  # Here you can disable certain enchantments in certain worlds.
  # Enchantment names are the same as enchantment file name in /enchants/ folder. ! Must be in lower_case !
  # To disable all enchantments for a world, use '*' instead of enchantment names.
  Disabled_In_Worlds:
    your_world_name:
    - ice_aspect
    - enchantment_name
  Display:
    # Sets how enchantment names and descriptions will be handled on items.
    # =============== AVAILABLE VALUES ===============
    # 1 = Plain modification of item's lore (lore changes are real and persistent).
    # 2 = Packet modification of item's lore (no real changes are made to the items). Requires ProtocolLib to be installed.
    #
    # Plain mode is faster, but may not reflect all changes immediately.
    # Packet mode is slower, but instantly reflect all changes. In creative mode, there is a chance for lore duplication.
    Mode: 1
    Name:
      # Hides enchantment level component from name format for level 1 enchantments.
      Hide_1st_Level: true
      # Sets enchantment name format depends on enchantment rarity.
      Rarity:
        COMMON: <white>%name%</white>
        UNCOMMON: <light_green>%name%</light_green>
        RARE: <light_cyan>%name%</light_cyan>
        VERY_RARE: <light_orange>%name%</light_orange>
      # Sets cursed enchantments name format.
      Curse: <light_red>%name%</light_red>
      # Enchantment name format created from name components.
      Format: '%enchantment_name%%enchantment_level%%enchantment_charges%'
      Component:
        # Enchantment name display component for name format.
        Name: '%value%'
        # Enchantment level display component for name format.
        Level: ' %value%'
        # Enchantment charges display component for name format.
        Charges: ' %value%'
    Description:
      # When 'true', adds the enchantment description to item lore under enchantment names.
      # For Display-Mode = 2 description is not shown while you're in Creative gamemode.
      Enabled: true
      # Sets whether or not only enchanted books will have enchantment descriptions.
      Books_Only: false
      # Sets enchantment description format.
      Format: <light_gray>• %description%</light_gray>
  Description:
    # When 'true', adds the enchantment description to item lore under enchantment names.
    # For Display-Mode = 2 description is not shown while you're in Creative gamemode.
    Enabled: true
    # Sets the global enchantment description format.
    Format: '&8▸ %description%'
  Item:
    # How many of custom enchantments the item can contain at the same time?
    Max_Custom_Enchants: 3
    # Set this to 'true' to allow Sword enchantments for Axes.
    Sword_Enchants_To_Axes: true
    # Set this to 'true' to allow Bow enchantments for Crossbows.
    Bow_Enchants_To_Crossbows: true
    # Set this to 'true' to allow Chestplate enchantments for Elytras.
    Chestplate_Enchants_To_Elytra: false
  Entity:
    # When enabled, passive enchantments (permanent potion effects, regeneration, etc.) will be applied to mobs as well.
    # Disable this if you're experiencing performance issues.
    Apply_Passive_Enchants_To_Mobs: true
  # Sets whether or not enchanted books in villager trades will have only 1 enchant, vanilla or custom one.
  Single_Enchant_In_Villager_Books: true
  # Settings for the different ways of obtaining enchantments.
  Obtaining:
    Enchanting_Table:
      Enabled: true
      Enchantments:
        Total_Maximum: 4
        Custom_Generation_Chance: 80.0
        Custom_Minimum: 0
        Custom_Maximum: 2
    Villagers:
      Enabled: true
      Enchantments:
        Total_Maximum: 4
        Custom_Generation_Chance: 80.0
        Custom_Minimum: 0
        Custom_Maximum: 2
    Fishing:
      Enabled: true
      Enchantments:
        Total_Maximum: 4
        Custom_Generation_Chance: 80.0
        Custom_Minimum: 0
        Custom_Maximum: 2
    Loot_Generation:
      Enabled: true
      Enchantments:
        Total_Maximum: 4
        Custom_Generation_Chance: 80.0
        Custom_Minimum: 0
        Custom_Maximum: 2
    Mob_Spawning:
      Enabled: true
      Enchantments:
        Total_Maximum: 4
        Custom_Generation_Chance: 80.0
        Custom_Minimum: 0
        Custom_Maximum: 2
  Distribution:
    # Sets in a which way new enchantments will be distributed to the worlds.
    # Allowed values: VANILLA, CUSTOM
    # =============== ! WARNING ! ===============
    # You MUST REBOOT your server when changing this. Otherwise result is unpredictable.
    # =============== Vanilla Distribution Mode ===============
    # [+] Very simple to use, almost no need to configure anything.
    # [+] Handled by the server, automatically supports all possible ways to get enchantments.
    # [+] Very accurate generation, repsects all vanilla game mechanics.
    # [-] Customization is almost non-existent.
    # =============== Custom Distribution Mode ===============
    # [+] Very flexible and customizable.
    # [+] Possibility for new ways to generate / obtain enchantments.
    # [-] Might be difficult to configure and balance everything.
    # [-] Enchantment generation is not such accurate as vanilla does.
    Mode: VANILLA
    Custom:
      # When enabled, enchanted books in villager trades will have no more than 1 enchantment (vanilla or custom one).
      Single_Enchant_In_Villager_Books: true
      # Settings for the different ways of obtaining enchantments.
      Ways:
        VILLAGER:
          Enabled: true
          Max_Enchantments: 4
          Generation_Chance: 60.0
          Amount:
            Min: 0
            Max: 2
        MOB_EQUIPMENT:
          Enabled: true
          Max_Enchantments: 4
          Generation_Chance: 35.0
          Amount:
            Min: 0
            Max: 2
        ENCHANTING:
          Enabled: true
          Max_Enchantments: 5
          Generation_Chance: 75.0
          Amount:
            Min: 0
            Max: 2
        LOOT_GENERATION:
          Enabled: true
          Max_Enchantments: 4
          Generation_Chance: 80.0
          Amount:
            Min: 0
            Max: 2
        FISHING:
          Enabled: true
          Max_Enchantments: 4
          Generation_Chance: 45.0
          Amount:
            Min: 0
            Max: 2
      Rarity_Weights:
        COMMON: 10
        UNCOMMON: 5
        RARE: 2
        VERY_RARE: 1
Core:
  # Sets how often (in ticks) enchantment particle effects will be spawned behind projectiles.
  # [Increase for performance; Decrease for better visuals]
  # [20 ticks = 1 second]
  # [Default is 1]
  Projectile_Particles_Tick_Interval: 1
  # Sets how often (in ticks) passive enchantment effects will trigger on all alive and loaded entities.
  # For best results it's recommened to keep this value lower, but at the same rate as enchantment's 'Trigger_Interval' option.
  # =============== EXAMPLES ===============
  # ==> Global (this): 100 ticks; Regrowth: 200 ticks; Saturation: 300 ticks;
  # ==> Global (this): 50 ticks, Regrowth: 100 ticks; Saturation: 150 ticks;
  # [Increase for performance; Decrease for more smooth effect]
  # [20 ticks = 1 second]
  # [Default is 100]
  Passive_Enchants_Trigger_Interval: 100
  # Sets whether or not mobs can have passive enchantment effects (such as permanent potion effects, regeneration, etc.).
  # [Enable for enhanced gameplay; Disable for performance]
  # [Default is true]
  Apply_Passive_Enchants_To_Mobs: true
  # Sets max. amount of custom enchantments per item.
  # [Default is 3]
  Item_Enchantments_Limit: 3
  # Sets whether or not Sword enchantments can be applied on Axes.
  # [Default is true]
  Sword_Enchants_To_Axes: true
  # Sets whether or not Bow enchantments can be applied on Crossbows.
  # [Default is true]
  Bow_Enchants_To_Crossbows: true
  # Sets whether or not Chestplate enchantments can be applied on Elytras.
  # [Default is false]
  Chestplate_Enchants_To_Elytra: false
